{
    onModifyMove(move, source, target) {
        if (move.flags['contact']) {
            delete move.flags['protect'];
        }
    },
    onBeforeMove(source, target, move) {
        if (target.volatiles['stall'] && move.id !== 'gmaxoneblow' && move.id !== 'gmaxrapidflow') {
            source.addVolatile('unseenfistnerf');
        }
    },
    onModifyDamage(damage, source, target, move) {
        if (source.volatiles['unseenfistnerf'] && target.volatiles['stall']) {
            return this.chainModify(1/3);
        }
    },
    onResidual(source) {
        if (source.volatiles['unseenfistnerf']) {
            source.removeVolatile('unseenfistnerf');
        }
    },
    flags: {},
    name: "Unseen Fist",
    rating: 2,
    num: 260,
}
